%------------------------------------------------------------------------------
% File     : LCL619^1 : TPTP v7.0.0. Released v3.6.0.
% Domain   : Logical Calculi
% Problem  : A simple theorem of K4
% Version  : [Ben08] axioms.
% English  :

% Refs     : [Fit07] Fitting (2007), Modal Proof Theory
%          : [Ben08] Benzmueller (2008), Email to G. Sutcliffe
% Source   : [Ben08]
% Names    : Fitting-HB-8 [Ben08]

% Status   : Theorem
% Rating   : 0.25 v7.0.0, 0.14 v6.4.0, 0.17 v6.3.0, 0.20 v6.2.0, 0.14 v5.5.0, 0.17 v5.4.0, 0.20 v5.3.0, 0.40 v5.1.0, 0.60 v5.0.0, 0.20 v4.1.0, 0.33 v3.7.0
% Syntax   : Number of formulae    :   37 (   0 unit;  20 type;  15 defn)
%            Number of atoms       :  103 (  15 equality;  53 variable)
%            Maximal formula depth :   10 (   5 average)
%            Number of connectives :   59 (   3   ~;   1   |;   2   &;  52   @)
%                                         (   0 <=>;   1  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&)
%            Number of type conns  :   86 (  86   >;   0   *;   0   +;   0  <<)
%            Number of symbols     :   25 (  20   :;   0   =)
%            Number of variables   :   41 (   2 sgn;   9   !;   4   ?;  28   ^)
%                                         (  41   :;   0  !>;   0  ?*)
%                                         (   0  @-;   0  @+)
% SPC      : TH0_THM_EQU_NAR

% Comments : 
%------------------------------------------------------------------------------
%----Include simple maths definitions and axioms
include('Axioms/LCL008^0.ax').
%------------------------------------------------------------------------------
%----Axioms
thf(k4,axiom,(
    ! [R: $i > $i > $o,X: $i > $o] :
      ( mvalid @ ( mimpl @ ( mbox @ R @ X ) @ ( mbox @ R @ ( mbox @ R @ X ) ) ) ) )).

%----Conjecture
thf(thm,conjecture,(
    ! [R: $i > $i > $o,X: $i > $o,Y: $i > $o] :
      ( mvalid @ ( mimpl @ ( mbox @ R @ ( mimpl @ X @ Y ) ) @ ( mimpl @ ( mbox @ R @ X ) @ ( mbox @ R @ ( mbox @ R @ Y ) ) ) ) ) )).

%------------------------------------------------------------------------------
