%------------------------------------------------------------------------------
% File     : MSC025^1 : TPTP v7.0.0. Released v5.5.0.
% Domain   : Syntactic
% Problem  : Nik's Challenge
% Version  : Especial.
% English  : Force the $i type to only have two elements, then conjecture the
%            existence of a bijection between $o and $i.

% Refs     : [Sul13] Sultana (2013), Email to Geoff Sutcliffe
% Source   : [Sul13]
% Names    :

% Status   : Theorem
% Rating   : 1.00 v5.5.0
% Syntax   : Number of formulae    :    5 (   0 unit;   2 type;   0 defn)
%            Number of atoms       :   14 (   4 equality;   6 variable)
%            Maximal formula depth :    7 (   4 average)
%            Number of connectives :    6 (   3   ~;   1   |;   0   &;   2   @)
%                                         (   0 <=>;   0  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&)
%            Number of type conns  :    1 (   1   >;   0   *;   0   +;   0  <<)
%            Number of symbols     :    4 (   2   :;   0   =)
%            Number of variables   :    3 (   0 sgn;   2   !;   1   ?;   0   ^)
%                                         (   3   :;   0  !>;   0  ?*)
%                                         (   0  @-;   0  @+)
% SPC      : TH0_THM_EQU_NAR

% Comments : 
%------------------------------------------------------------------------------
thf(one,type,(
    one: $i )).

thf(two,type,(
    two: $i )).

thf(binary_exhaust,axiom,(
    ! [X: $i] :
      ( ( X = one )
      | ( X = two ) ) )).

thf(binary_distinc,axiom,(
    one != two )).

thf(goal,conjecture,(
    ? [F: $o > $i] :
    ! [X: $o] :
      ( ( F @ X )
     != ( F @ ~ ( X ) ) ) )).

%------------------------------------------------------------------------------
