%------------------------------------------------------------------------------
% File     : PHI002^1 : TPTP v7.0.0. Released v6.1.0.
% Domain   : Philosophy
% Problem  : Positive properties are possibly exemplified
% Version  : [Ben13] axioms.
% English  : 

% Refs     : [Ben13] Benzmueller (2009), Email to Geoff Sutcliffe
% Source   : [Ben13]
% Names    : T1 [Ben13]

% Status   : Theorem
% Rating   : 0.50 v7.0.0, 0.43 v6.4.0, 0.33 v6.3.0, 0.40 v6.2.0, 0.71 v6.1.0
% Syntax   : Number of formulae    :   59 (   0 unit;  28 type;  25 defn)
%            Number of atoms       :  199 (  26 equality;  93 variable)
%            Maximal formula depth :   15 (   6 average)
%            Number of connectives :  121 (   5   ~;   3   |;   4   &; 106   @)
%                                         (   1 <=>;   2  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&)
%            Number of type conns  :  168 ( 168   >;   0   *;   0   +;   0  <<)
%            Number of symbols     :   33 (  28   :;   0   =)
%            Number of variables   :   72 (   3 sgn;   6   !;   4   ?;  62   ^)
%                                         (  72   :;   0  !>;   0  ?*)
%                                         (   0  @-;   0  @+)
% SPC      : TH0_THM_EQU_NAR

% Comments : 
%------------------------------------------------------------------------------
%----Axioms for Quantified Modal Logic K.
include('Axioms/LCL016^0.ax').
%----Axioms about God
include('Axioms/PHI001^0.ax').
%------------------------------------------------------------------------------
%----T1: Positive properties are possibly exemplified.
thf(thmT1,conjecture,
    ( mvalid
    @ ( mforall_indset
      @ ^ [Phi: mu > $i > $o] :
          ( mimplies @ ( positive @ Phi )
          @ ( mdia
            @ ( mexists_ind
              @ ^ [X: mu] :
                  ( Phi @ X ) ) ) ) ) )).
%------------------------------------------------------------------------------
