%------------------------------------------------------------------------------
% File     : QUA013^1 : TPTP v7.0.0. Released v4.1.0.
% Domain   : Quantales
% Problem  : Isotony with respect to multiplication
% Version  : [Hoe09] axioms.
% English  :

% Refs     : [Con71] Conway (1971), Regular Algebra and Finite Machines
%          : [Hoe09] Hoefner (2009), Email to Geoff Sutcliffe
% Source   : [Hoe09]
% Names    : QUA13 [Hoe09] 

% Status   : Theorem
% Rating   : 1.00 v4.1.0
% Syntax   : Number of formulae    :   27 (   0 unit;  12 type;   7 defn)
%            Number of atoms       :  105 (  17 equality;  46 variable)
%            Maximal formula depth :   12 (   5 average)
%            Number of connectives :   56 (   0   ~;   1   |;   4   &;  49   @)
%                                         (   1 <=>;   1  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&)
%            Number of type conns  :   45 (  45   >;   0   *;   0   +;   0  <<)
%            Number of symbols     :   15 (  12   :;   0   =)
%            Number of variables   :   30 (   1 sgn;  11   !;   4   ?;  15   ^)
%                                         (  30   :;   0  !>;   0  ?*)
%                                         (   0  @-;   0  @+)
% SPC      : TH0_THM_EQU_NAR

% Comments : 
%------------------------------------------------------------------------------
%----Include axioms for Quantales
include('Axioms/QUA001^0.ax').
%------------------------------------------------------------------------------
thf(multiplication_iso,conjecture,(
    ! [X: $i > $o,Y: $i > $o,Z: $i] :
      ( ( leq @ ( sup @ X ) @ ( sup @ Y ) )
     => ( leq @ ( multiplication @ Z @ ( sup @ X ) ) @ ( multiplication @ Z @ ( sup @ Y ) ) ) ) )).

%------------------------------------------------------------------------------
