%------------------------------------------------------------------------------
% File     : SEU452^1 : TPTP v7.0.0. Released v3.6.0.
% Domain   : Set Theory (Equivalence relations)
% Problem  : Hofman's Marktoberdorf exercise
% Version  : Especial.
% English  : The equivalence of two characterizations of the smallest
%            "quasi-PER" containing a given binary relation R, one the obvious
%            inductive characterization.

% Refs     :
% Source   : [TPTP]
% Names    :

% Status   : Theorem
% Rating   : 1.00 v3.7.0
% Syntax   : Number of formulae    :    2 (   0 unit;   1 type;   0 defn)
%            Number of atoms       :   32 (   0 equality;  30 variable)
%            Maximal formula depth :   16 (  10 average)
%            Number of connectives :   31 (   0   ~;   0   |;   3   &;  20   @)
%                                         (   3 <=>;   5  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&)
%            Number of type conns  :    6 (   6   >;   0   *;   0   +;   0  <<)
%            Number of symbols     :    3 (   1   :;   0   =)
%            Number of variables   :   13 (   0 sgn;  13   !;   0   ?;   0   ^)
%                                         (  13   :;   0  !>;   0  ?*)
%                                         (   0  @-;   0  @+)
% SPC      : TH0_THM_NEQ_NAR

% Comments : Sent to Chris Benzmueller by John Harrison.
%          : 
%------------------------------------------------------------------------------
thf(r,type,(
    r: $i > $i > $o )).

thf(thm,conjecture,(
    ! [A: $i,B: $i] :
      ( ! [S: $i > $i > $o] :
          ( ( ! [X: $i,Y: $i] :
                ( ( r @ X @ Y )
               => ( S @ X @ Y ) )
            & ! [W: $i,X: $i,Y: $i,Z: $i] :
                ( ( ( S @ X @ Y )
                  & ( S @ Z @ Y )
                  & ( S @ Z @ W ) )
               => ( S @ X @ W ) ) )
         => ( S @ A @ B ) )
    <=> ! [P: $i > $o,Q: $i > $o] :
          ( ! [X: $i,Y: $i] :
              ( ( r @ X @ Y )
             => ( ( P @ X )
              <=> ( Q @ Y ) ) )
         => ( ( P @ A )
          <=> ( Q @ B ) ) ) ) )).

%------------------------------------------------------------------------------
