%------------------------------------------------------------------------------
% File     : SEU661^2 : TPTP v7.0.0. Released v3.7.0.
% Domain   : Set Theory
% Problem  : Ordered Pairs - Properties of Pairs
% Version  : Especial > Reduced > Especial.
% English  : (! A:i.! B:i.! x:i.in x A -> (! y:i.in y B ->
%            kpair x y = kpair x y))

% Refs     : [Bro08] Brown (2008), Email to G. Sutcliffe
% Source   : [Bro08]
% Names    : ZFC163l [Bro08]

% Status   : Theorem
% Rating   : 0.00 v6.0.0, 0.14 v5.5.0, 0.17 v5.4.0, 0.20 v5.3.0, 0.40 v5.2.0, 0.20 v4.1.0, 0.00 v3.7.0
% Syntax   : Number of formulae    :    3 (   0 unit;   2 type;   0 defn)
%            Number of atoms       :   13 (   1 equality;   8 variable)
%            Maximal formula depth :   10 (   6 average)
%            Number of connectives :   10 (   0   ~;   0   |;   0   &;   8   @)
%                                         (   0 <=>;   2  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&)
%            Number of type conns  :    4 (   4   >;   0   *;   0   +;   0  <<)
%            Number of symbols     :    4 (   2   :;   0   =)
%            Number of variables   :    4 (   0 sgn;   4   !;   0   ?;   0   ^)
%                                         (   4   :;   0  !>;   0  ?*)
%                                         (   0  @-;   0  @+)
% SPC      : TH0_THM_EQU_NAR

% Comments : http://mathgate.info/detsetitem.php?id=215
%          : 
%------------------------------------------------------------------------------
thf(in,type,(
    in: $i > $i > $o )).

thf(kpair,type,(
    kpair: $i > $i > $i )).

thf(cartprodmempaircEq,conjecture,(
    ! [A: $i,B: $i,Xx: $i] :
      ( ( in @ Xx @ A )
     => ! [Xy: $i] :
          ( ( in @ Xy @ B )
         => ( ( kpair @ Xx @ Xy )
            = ( kpair @ Xx @ Xy ) ) ) ) )).

%------------------------------------------------------------------------------
