%------------------------------------------------------------------------------
% File     : SEU693^2 : TPTP v7.0.0. Released v3.7.0.
% Domain   : Set Theory
% Problem  : Functions - Extensionality and Beta Reduction
% Version  : Especial > Reduced > Especial.
% English  : (! A:i.! B:i.! f:i.in f (funcSet A B) -> (! x:i.in x A ->
%            ap A B f x = ap A B f x))

% Refs     : [Bro08] Brown (2008), Email to G. Sutcliffe
% Source   : [Bro08]
% Names    : ZFC195l [Bro08]

% Status   : Theorem
% Rating   : 0.00 v6.0.0, 0.14 v5.5.0, 0.17 v5.4.0, 0.20 v5.3.0, 0.40 v5.2.0, 0.20 v4.1.0, 0.00 v3.7.0
% Syntax   : Number of formulae    :    4 (   0 unit;   3 type;   0 defn)
%            Number of atoms       :   19 (   1 equality;  13 variable)
%            Maximal formula depth :   12 (   6 average)
%            Number of connectives :   16 (   0   ~;   0   |;   0   &;  14   @)
%                                         (   0 <=>;   2  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&)
%            Number of type conns  :    8 (   8   >;   0   *;   0   +;   0  <<)
%            Number of symbols     :    5 (   3   :;   0   =)
%            Number of variables   :    4 (   0 sgn;   4   !;   0   ?;   0   ^)
%                                         (   4   :;   0  !>;   0  ?*)
%                                         (   0  @-;   0  @+)
% SPC      : TH0_THM_EQU_NAR

% Comments : http://mathgate.info/detsetitem.php?id=247
%          : 
%------------------------------------------------------------------------------
thf(in,type,(
    in: $i > $i > $o )).

thf(funcSet,type,(
    funcSet: $i > $i > $i )).

thf(ap,type,(
    ap: $i > $i > $i > $i > $i )).

thf(ap2apEq1,conjecture,(
    ! [A: $i,B: $i,Xf: $i] :
      ( ( in @ Xf @ ( funcSet @ A @ B ) )
     => ! [Xx: $i] :
          ( ( in @ Xx @ A )
         => ( ( ap @ A @ B @ Xf @ Xx )
            = ( ap @ A @ B @ Xf @ Xx ) ) ) ) )).

%------------------------------------------------------------------------------
