%------------------------------------------------------------------------------
% File     : SEU868^5 : TPTP v7.0.0. Released v4.0.0.
% Domain   : Set Theory (Finite sets)
% Problem  : TPS problem from FINITE-SET-THMS
% Version  : Especial.
% English  :

% Refs     : [Bro09] Brown (2009), Email to Geoff Sutcliffe
% Source   : [Bro09]
% Names    : tps_1008 [Bro09]

% Status   : Theorem
% Rating   : 0.25 v7.0.0, 0.14 v6.4.0, 0.17 v6.3.0, 0.20 v6.2.0, 0.43 v5.5.0, 0.50 v5.4.0, 0.60 v5.2.0, 0.80 v4.1.0, 1.00 v4.0.0
% Syntax   : Number of formulae    :    3 (   0 unit;   2 type;   0 defn)
%            Number of atoms       :   29 (   2 equality;  24 variable)
%            Maximal formula depth :   14 (   6 average)
%            Number of connectives :   25 (   1   ~;   2   |;   3   &;  12   @)
%                                         (   1 <=>;   6  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&)
%            Number of type conns  :    9 (   9   >;   0   *;   0   +;   0  <<)
%            Number of symbols     :    5 (   2   :;   0   =)
%            Number of variables   :   12 (   1 sgn;   9   !;   1   ?;   2   ^)
%                                         (  12   :;   0  !>;   0  ?*)
%                                         (   0  @-;   0  @+)
% SPC      : TH0_THM_EQU_NAR

% Comments : This problem is from the TPS library. Copyright (c) 2009 The TPS
%            project in the Department of Mathematical Sciences at Carnegie
%            Mellon University. Distributed under the Creative Commons copyleft
%            license: http://creativecommons.org/licenses/by-sa/3.0/
%          : 
%------------------------------------------------------------------------------
thf(a_type,type,(
    a: $tType )).

thf(cC,type,(
    cC: a > $o )).

thf(cTHM551_pme,conjecture,
    ( ! [Xw: ( a > $o ) > $o] :
        ( ( ( Xw
            @ ^ [Xx: a] : $false )
          & ! [Xr: a > $o,Xx: a] :
              ( ( Xw @ Xr )
             => ( Xw
                @ ^ [Xt: a] :
                    ( ( Xr @ Xt )
                    | ( Xt = Xx ) ) ) ) )
       => ( Xw @ cC ) )
   => ! [P: ( a > $o ) > $o] :
        ( ( ! [E: a > $o] :
              ( ~ ( ? [Xt: a] :
                      ( E @ Xt ) )
             => ( P @ E ) )
          & ! [Y: a > $o,Xx: a,Z: a > $o] :
              ( ( ( P @ Y )
                & ! [Xx_16: a] :
                    ( ( Z @ Xx_16 )
                  <=> ( ( Y @ Xx_16 )
                      | ( Xx_16 = Xx ) ) ) )
             => ( P @ Z ) ) )
       => ( P @ cC ) ) )).

%------------------------------------------------------------------------------
