%------------------------------------------------------------------------------
% File     : SEU890^5 : TPTP v7.0.0. Released v4.0.0.
% Domain   : Set Theory
% Problem  : TPS problem THM29
% Version  : Especial.
% English  :

% Refs     : [Bro09] Brown (2009), Email to Geoff Sutcliffe
% Source   : [Bro09]
% Names    : tps_0299 [Bro09]
%          : THM29 [TPS]

% Status   : Theorem
% Rating   : 0.00 v6.1.0, 0.14 v5.5.0, 0.17 v5.4.0, 0.20 v5.3.0, 0.40 v5.2.0, 0.20 v4.1.0, 0.00 v4.0.0
% Syntax   : Number of formulae    :    7 (   0 unit;   6 type;   0 defn)
%            Number of atoms       :   17 (   3 equality;   8 variable)
%            Maximal formula depth :    9 (   3 average)
%            Number of connectives :   10 (   0   ~;   0   |;   3   &;   6   @)
%                                         (   1 <=>;   0  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&)
%            Number of type conns  :    3 (   3   >;   0   *;   0   +;   0  <<)
%            Number of symbols     :    8 (   6   :;   0   =)
%            Number of variables   :    4 (   0 sgn;   1   !;   3   ?;   0   ^)
%                                         (   4   :;   0  !>;   0  ?*)
%                                         (   0  @-;   0  @+)
% SPC      : TH0_THM_EQU_NAR

% Comments : This problem is from the TPS library. Copyright (c) 2009 The TPS
%            project in the Department of Mathematical Sciences at Carnegie
%            Mellon University. Distributed under the Creative Commons copyleft
%            license: http://creativecommons.org/licenses/by-sa/3.0/
%          : Polymorphic definitions expanded.
%          : 
%------------------------------------------------------------------------------
thf(c_type,type,(
    c: $tType )).

thf(b_type,type,(
    b: $tType )).

thf(a_type,type,(
    a: $tType )).

thf(cG,type,(
    cG: c > b )).

thf(cF,type,(
    cF: b > a )).

thf(cS,type,(
    cS: c > $o )).

thf(cTHM29_pme,conjecture,(
    ! [Xx: a] :
      ( ? [Xt: b] :
          ( ? [Xt0: c] :
              ( ( cS @ Xt0 )
              & ( Xt
                = ( cG @ Xt0 ) ) )
          & ( Xx
            = ( cF @ Xt ) ) )
    <=> ? [Xt: c] :
          ( ( cS @ Xt )
          & ( Xx
            = ( cF @ ( cG @ Xt ) ) ) ) ) )).

%------------------------------------------------------------------------------
