%------------------------------------------------------------------------------
% File     : SEU972^5 : TPTP v7.0.0. Released v4.0.0.
% Domain   : Set Theory (Relations)
% Problem  : TPS problem from COINDUCTIVE-PU-ALG-THMS
% Version  : Especial.
% English  :

% Refs     : [Bro09] Brown (2009), Email to Geoff Sutcliffe
% Source   : [Bro09]
% Names    : tps_1140 [Bro09]

% Status   : Theorem
% Rating   : 0.75 v7.0.0, 0.86 v6.4.0, 0.83 v6.3.0, 1.00 v6.1.0, 0.71 v5.5.0, 1.00 v4.0.0
% Syntax   : Number of formulae    :    6 (   0 unit;   5 type;   0 defn)
%            Number of atoms       :   85 (  11 equality;  39 variable)
%            Maximal formula depth :   18 (   5 average)
%            Number of connectives :   63 (   1   ~;   0   |;  10   &;  44   @)
%                                         (   2 <=>;   6  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&)
%            Number of type conns  :    6 (   6   >;   0   *;   0   +;   0  <<)
%            Number of symbols     :    7 (   5   :;   0   =)
%            Number of variables   :   14 (   0 sgn;  13   !;   1   ?;   0   ^)
%                                         (  14   :;   0  !>;   0  ?*)
%                                         (   0  @-;   0  @+)
% SPC      : TH0_THM_EQU_NAR

% Comments : This problem is from the TPS library. Copyright (c) 2009 The TPS
%            project in the Department of Mathematical Sciences at Carnegie
%            Mellon University. Distributed under the Creative Commons copyleft
%            license: http://creativecommons.org/licenses/by-sa/3.0/
%          : 
%------------------------------------------------------------------------------
thf(a_type,type,(
    a: $tType )).

thf(cR,type,(
    cR: a > a )).

thf(cP,type,(
    cP: a > a > a )).

thf(cL,type,(
    cL: a > a )).

thf(cZ,type,(
    cZ: a )).

thf(cPU_LEM2E_pme,conjecture,
    ( ( ( ( cL @ cZ )
        = cZ )
      & ( ( cR @ cZ )
        = cZ )
      & ! [Xx: a,Xy: a] :
          ( ( cL @ ( cP @ Xx @ Xy ) )
          = Xx )
      & ! [Xx: a,Xy: a] :
          ( ( cR @ ( cP @ Xx @ Xy ) )
          = Xy )
      & ! [Xt: a] :
          ( ( Xt != cZ )
        <=> ( Xt
            = ( cP @ ( cL @ Xt ) @ ( cR @ Xt ) ) ) )
      & ! [X: a > $o] :
          ( ! [Xt: a,Xu: a] :
              ( ( X @ ( cP @ Xt @ Xu ) )
             => ( ( ( Xt = cZ )
                <=> ( Xu = cZ ) )
                & ( X @ ( cP @ ( cL @ Xt ) @ ( cL @ Xu ) ) )
                & ( X @ ( cP @ ( cR @ Xt ) @ ( cR @ Xu ) ) ) ) )
         => ! [Xt: a,Xu: a] :
              ( ( X @ ( cP @ Xt @ Xu ) )
             => ( Xt = Xu ) ) ) )
   => ! [Xt: a] :
      ? [X: a > $o] :
        ( ( X @ ( cP @ cZ @ Xt ) )
        & ! [Xt0: a,Xu: a] :
            ( ( X @ ( cP @ Xt0 @ Xu ) )
           => ( ( ( Xu = cZ )
               => ( Xt0 = cZ ) )
              & ( X @ ( cP @ ( cL @ Xt0 ) @ ( cL @ Xu ) ) )
              & ( X @ ( cP @ ( cR @ Xt0 ) @ ( cR @ Xu ) ) ) ) ) ) )).

%------------------------------------------------------------------------------
