%------------------------------------------------------------------------------
% File     : SEV150^5 : TPTP v7.0.0. Released v4.0.0.
% Domain   : Set Theory (Relations)
% Problem  : TPS problem from TRANSITIVE-CLOSURE
% Version  : Especial.
% English  :

% Refs     : [Bro09] Brown (2009), Email to Geoff Sutcliffe
% Source   : [Bro09]
% Names    : tps_1188 [Bro09]
%          : tps_1189 [Bro09]

% Status   : Theorem
% Rating   : 0.88 v7.0.0, 1.00 v6.3.0, 0.80 v6.2.0, 0.86 v6.1.0, 1.00 v4.0.0
% Syntax   : Number of formulae    :    2 (   0 unit;   1 type;   0 defn)
%            Number of atoms       :   85 (   1 equality;  84 variable)
%            Maximal formula depth :   23 (  12 average)
%            Number of connectives :   82 (   0   ~;   4   |;  12   &;  48   @)
%                                         (   0 <=>;  18  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&)
%            Number of type conns  :   10 (  10   >;   0   *;   0   +;   0  <<)
%            Number of symbols     :    3 (   1   :;   0   =)
%            Number of variables   :   30 (   0 sgn;  26   !;   0   ?;   4   ^)
%                                         (  30   :;   0  !>;   0  ?*)
%                                         (   0  @-;   0  @+)
% SPC      : TH0_THM_EQU_NAR

% Comments : This problem is from the TPS library. Copyright (c) 2009 The TPS
%            project in the Department of Mathematical Sciences at Carnegie
%            Mellon University. Distributed under the Creative Commons copyleft
%            license: http://creativecommons.org/licenses/by-sa/3.0/
%          : 
%------------------------------------------------------------------------------
thf(a_type,type,(
    a: $tType )).

thf(cTHM251A_pme,conjecture,(
    ! [R: a > a > $o,S: a > a > $o] :
      ( ( ^ [Xp: a,Xq: a] :
          ! [Xq0: a > $o] :
            ( ( ! [Xw: a] :
                  ( ( ( R @ Xp @ Xw )
                    | ( S @ Xp @ Xw ) )
                 => ( Xq0 @ Xw ) )
              & ! [Xu: a,Xv: a] :
                  ( ( ( Xq0 @ Xu )
                    & ( ( R @ Xu @ Xv )
                      | ( S @ Xu @ Xv ) ) )
                 => ( Xq0 @ Xv ) ) )
           => ( Xq0 @ Xq ) ) )
      = ( ^ [Xp: a,Xq: a] :
          ! [Xq0: a > $o] :
            ( ( ! [Xw: a] :
                  ( ( ! [Xq1: a > $o] :
                        ( ( ! [Xw0: a] :
                              ( ( R @ Xp @ Xw0 )
                             => ( Xq1 @ Xw0 ) )
                          & ! [Xu: a,Xv: a] :
                              ( ( ( Xq1 @ Xu )
                                & ( R @ Xu @ Xv ) )
                             => ( Xq1 @ Xv ) ) )
                       => ( Xq1 @ Xw ) )
                    | ! [Xq1: a > $o] :
                        ( ( ! [Xw0: a] :
                              ( ( S @ Xp @ Xw0 )
                             => ( Xq1 @ Xw0 ) )
                          & ! [Xu: a,Xv: a] :
                              ( ( ( Xq1 @ Xu )
                                & ( S @ Xu @ Xv ) )
                             => ( Xq1 @ Xv ) ) )
                       => ( Xq1 @ Xw ) ) )
                 => ( Xq0 @ Xw ) )
              & ! [Xu: a,Xv: a] :
                  ( ( ( Xq0 @ Xu )
                    & ( ! [Xq1: a > $o] :
                          ( ( ! [Xw: a] :
                                ( ( R @ Xu @ Xw )
                               => ( Xq1 @ Xw ) )
                            & ! [Xu0: a,Xv0: a] :
                                ( ( ( Xq1 @ Xu0 )
                                  & ( R @ Xu0 @ Xv0 ) )
                               => ( Xq1 @ Xv0 ) ) )
                         => ( Xq1 @ Xv ) )
                      | ! [Xq1: a > $o] :
                          ( ( ! [Xw: a] :
                                ( ( S @ Xu @ Xw )
                               => ( Xq1 @ Xw ) )
                            & ! [Xu0: a,Xv0: a] :
                                ( ( ( Xq1 @ Xu0 )
                                  & ( S @ Xu0 @ Xv0 ) )
                               => ( Xq1 @ Xv0 ) ) )
                         => ( Xq1 @ Xv ) ) ) )
                 => ( Xq0 @ Xv ) ) )
           => ( Xq0 @ Xq ) ) ) ) )).

%------------------------------------------------------------------------------
