%------------------------------------------------------------------------------
% File     : SEV384^5 : TPTP v7.0.0. Released v4.0.0.
% Domain   : Set Theory
% Problem  : TPS problem THM117B
% Version  : Especial.
% English  : If R is a well-founded relation and P is an inductive property
%            over R restricted to s, then everything in s has property P; 
%            here R y w means y > w.

% Refs     : [BB93]  Bailin & Barker-Plummer (1993), L-match: An Inference
%          : [Bro09] Brown (2009), Email to Geoff Sutcliffe
% Source   : [Bro09]
% Names    : tps_0270 [Bro09]
%          : THM117B [TPS]

% Status   : Theorem
% Rating   : 0.29 v7.0.0, 0.25 v6.4.0, 0.29 v6.3.0, 0.33 v6.2.0, 0.50 v6.1.0, 0.33 v6.0.0, 0.17 v5.5.0, 0.00 v5.4.0, 0.25 v5.1.0, 0.50 v4.1.0, 0.33 v4.0.1, 0.67 v4.0.0
% Syntax   : Number of formulae    :    4 (   0 unit;   3 type;   0 defn)
%            Number of atoms       :   22 (   0 equality;  15 variable)
%            Maximal formula depth :   12 (   6 average)
%            Number of connectives :   22 (   1   ~;   0   |;   3   &;  12   @)
%                                         (   0 <=>;   6  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&)
%            Number of type conns  :    5 (   5   >;   0   *;   0   +;   0  <<)
%            Number of symbols     :    5 (   3   :;   0   =)
%            Number of variables   :    7 (   0 sgn;   6   !;   1   ?;   0   ^)
%                                         (   7   :;   0  !>;   0  ?*)
%                                         (   0  @-;   0  @+)
% SPC      : TH0_THM_NEQ_NAR

% Comments : This problem is from the TPS library. Copyright (c) 2009 The TPS
%            project in the Department of Mathematical Sciences at Carnegie
%            Mellon University. Distributed under the Creative Commons copyleft
%            license: http://creativecommons.org/licenses/by-sa/3.0/
%          : 
%------------------------------------------------------------------------------
thf(cP,type,(
    cP: $i > $o )).

thf(s,type,(
    s: $i > $o )).

thf(cR,type,(
    cR: $i > $i > $o )).

thf(cTHM117B,conjecture,
    ( ( ! [Xx: $i > $o,Xz: $i] :
          ( ( Xx @ Xz )
         => ? [Xy: $i] :
              ( ( Xx @ Xy )
              & ! [Xw: $i] :
                  ( ( cR @ Xy @ Xw )
                 => ~ ( Xx @ Xw ) ) ) )
      & ! [Xx1: $i] :
          ( ! [Xy1: $i] :
              ( ( ( s @ Xy1 )
                & ( cR @ Xx1 @ Xy1 ) )
             => ( cP @ Xy1 ) )
         => ( cP @ Xx1 ) ) )
   => ! [Xx2: $i] :
        ( ( s @ Xx2 )
       => ( cP @ Xx2 ) ) )).

%------------------------------------------------------------------------------
