%------------------------------------------------------------------------------
% File     : SYN377^7 : TPTP v7.0.0. Released v5.5.0.
% Domain   : Syntactic
% Problem  : Peter Andrews Problem X2128
% Version  : [Ben12] axioms.
% English  :

% Refs     : [Goe69] Goedel (1969), An Interpretation of the Intuitionistic
%          : [And86] Andrews (1986), An Introduction to Mathematical Logic
%          : [Ben12] Benzmueller (2012), Email to Geoff Sutcliffe
% Source   : [Ben12]
% Names    : s4-cumul-GSY377+1 [Ben12]

% Status   : Theorem
% Rating   : 0.62 v7.0.0, 0.57 v6.4.0, 0.50 v6.3.0, 0.60 v6.2.0, 0.71 v5.5.0
% Syntax   : Number of formulae    :   74 (   0 unit;  37 type;  32 defn)
%            Number of atoms       :  347 (  36 equality; 159 variable)
%            Maximal formula depth :   19 (   6 average)
%            Number of connectives :  243 (   5   ~;   5   |;   9   &; 214   @)
%                                         (   0 <=>;  10  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&)
%            Number of type conns  :  182 ( 182   >;   0   *;   0   +;   0  <<)
%            Number of symbols     :   41 (  37   :;   0   =)
%            Number of variables   :  104 (   2 sgn;  34   !;   7   ?;  63   ^)
%                                         ( 104   :;   0  !>;   0  ?*)
%                                         (   0  @-;   0  @+)
% SPC      : TH0_THM_EQU_NAR

% Comments : Goedel translation of SYN377+1
%------------------------------------------------------------------------------
%----Include axioms for Modal logic S4 under cumulative domains
include('Axioms/LCL015^0.ax').
include('Axioms/LCL013^5.ax').
include('Axioms/LCL015^1.ax').
%------------------------------------------------------------------------------
thf(big_p_type,type,(
    big_p: mu > $i > $o )).

thf(x2128,conjecture,
    ( mvalid
    @ ( mand
      @ ( mbox_s4
        @ ( mimplies
          @ ( mbox_s4
            @ ( mforall_ind
              @ ^ [X: mu] :
                  ( mand
                  @ ( mbox_s4
                    @ ( mimplies @ ( mbox_s4 @ ( big_p @ X ) )
                      @ ( mbox_s4
                        @ ( mforall_ind
                          @ ^ [Y: mu] :
                              ( mbox_s4 @ ( big_p @ Y ) ) ) ) ) )
                  @ ( mbox_s4
                    @ ( mimplies
                      @ ( mbox_s4
                        @ ( mforall_ind
                          @ ^ [Y: mu] :
                              ( mbox_s4 @ ( big_p @ Y ) ) ) )
                      @ ( mbox_s4 @ ( big_p @ X ) ) ) ) ) ) )
          @ ( mand
            @ ( mbox_s4
              @ ( mimplies
                @ ( mexists_ind
                  @ ^ [X: mu] :
                      ( mbox_s4 @ ( big_p @ X ) ) )
                @ ( mbox_s4
                  @ ( mforall_ind
                    @ ^ [Y: mu] :
                        ( mbox_s4 @ ( big_p @ Y ) ) ) ) ) )
            @ ( mbox_s4
              @ ( mimplies
                @ ( mbox_s4
                  @ ( mforall_ind
                    @ ^ [Y: mu] :
                        ( mbox_s4 @ ( big_p @ Y ) ) ) )
                @ ( mexists_ind
                  @ ^ [X: mu] :
                      ( mbox_s4 @ ( big_p @ X ) ) ) ) ) ) ) )
      @ ( mbox_s4
        @ ( mimplies
          @ ( mand
            @ ( mbox_s4
              @ ( mimplies
                @ ( mexists_ind
                  @ ^ [X: mu] :
                      ( mbox_s4 @ ( big_p @ X ) ) )
                @ ( mbox_s4
                  @ ( mforall_ind
                    @ ^ [Y: mu] :
                        ( mbox_s4 @ ( big_p @ Y ) ) ) ) ) )
            @ ( mbox_s4
              @ ( mimplies
                @ ( mbox_s4
                  @ ( mforall_ind
                    @ ^ [Y: mu] :
                        ( mbox_s4 @ ( big_p @ Y ) ) ) )
                @ ( mexists_ind
                  @ ^ [X: mu] :
                      ( mbox_s4 @ ( big_p @ X ) ) ) ) ) )
          @ ( mbox_s4
            @ ( mforall_ind
              @ ^ [X: mu] :
                  ( mand
                  @ ( mbox_s4
                    @ ( mimplies @ ( mbox_s4 @ ( big_p @ X ) )
                      @ ( mbox_s4
                        @ ( mforall_ind
                          @ ^ [Y: mu] :
                              ( mbox_s4 @ ( big_p @ Y ) ) ) ) ) )
                  @ ( mbox_s4
                    @ ( mimplies
                      @ ( mbox_s4
                        @ ( mforall_ind
                          @ ^ [Y: mu] :
                              ( mbox_s4 @ ( big_p @ Y ) ) ) )
                      @ ( mbox_s4 @ ( big_p @ X ) ) ) ) ) ) ) ) ) ) )).

%------------------------------------------------------------------------------
