%------------------------------------------------------------------------------
% File     : SYO531^1 : TPTP v7.0.0. Released v5.2.0.
% Domain   : Syntactic
% Problem  : Binary choice on individuals 2
% Version  : Especial.
% English  : There is an Epsb such that epsa and Epsb work together to give an 
%            a and b such that R a b holds, if such an a and b exist for a 
%            binary relation R on $i. A choice operator on i can be used to
%            define a choice operator on i*i (Curried). In this version, the
%            first half of the solution is given.

% Refs     : [Bac10] Backes (2010), Tableaux for Higher-Order Logic with If
%          : [Bro11] Brown E. (2011), Email to Geoff Sutcliffe
% Source   : [Bro11]
% Names    : CHOICE8 [Bro11]

% Status   : Theorem
% Rating   : 0.88 v7.0.0, 0.86 v6.4.0, 0.83 v6.3.0, 0.80 v6.2.0, 0.71 v5.5.0, 1.00 v5.2.0
% Syntax   : Number of formulae    :    5 (   0 unit;   2 type;   1 defn)
%            Number of atoms       :   19 (   1 equality;  14 variable)
%            Maximal formula depth :    8 (   6 average)
%            Number of connectives :   14 (   0   ~;   0   |;   0   &;  12   @)
%                                         (   0 <=>;   2  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&)
%            Number of type conns  :   13 (  13   >;   0   *;   0   +;   0  <<)
%            Number of symbols     :    4 (   2   :;   0   =)
%            Number of variables   :    9 (   0 sgn;   2   !;   5   ?;   2   ^)
%                                         (   9   :;   0  !>;   0  ?*)
%                                         (   0  @-;   0  @+)
% SPC      : TH0_THM_EQU_NAR

% Comments : 
%------------------------------------------------------------------------------
thf(eps,type,(
    eps: ( $i > $o ) > $i )).

thf(choiceax,axiom,(
    ! [P: $i > $o] :
      ( ? [X: $i] :
          ( P @ X )
     => ( P @ ( eps @ P ) ) ) )).

thf(epsa,type,(
    epsa: ( $i > $i > $o ) > $i )).

thf(epsad,definition,
    ( epsa
    = ( ^ [R: $i > $i > $o] :
          ( eps
          @ ^ [X: $i] :
            ? [Y: $i] :
              ( R @ X @ Y ) ) ) )).

thf(conj,conjecture,(
    ? [Epsb: ( $i > $i > $o ) > $i] :
    ! [R: $i > $i > $o] :
      ( ? [X: $i,Y: $i] :
          ( R @ X @ Y )
     => ( R @ ( epsa @ R ) @ ( Epsb @ R ) ) ) )).

%------------------------------------------------------------------------------
